Description: build and register ES module
Author: Jonas Smedegaard <dr@jones.dk>
Forwarded: no
Last-Update: 2020-06-13
---
This patch header follows DEP-3: http://dep.debian.net/deps/dep3/
--- a/build/rollup-config.js
+++ b/build/rollup-config.js
@@ -30,7 +30,7 @@
 
 export default {
 	input: 'src/index.js',
-	output: {
+	output: [{
 		banner,
 		file: 'dist/leaflet.markercluster-src.js',
 		format: 'umd',
@@ -41,6 +41,12 @@
 			"leaflet": "L"
 		}
 	},
+	{
+		banner,
+		file: 'dist/leaflet.markercluster-src.esm.js',
+		format: 'es',
+		sourcemap: true,
+	}],
 	external: [
 		"leaflet"
 	],
--- a/package.json
+++ b/package.json
@@ -29,6 +29,7 @@
 		"leaflet": "^1.3.1"
 	},
 	"main": "dist/leaflet.markercluster-src.js",
+	"module": "dist/leaflet.markercluster-src.esm.js",
 	"style": "dist/MarkerCluster.css",
 	"scripts": {
 		"test": "karma start ./spec/karma.conf.js",
